#include <iostream.h>
#include <math.h>

#include "Fl/Fl.h"
#include "Fl/Fl_Window.h"
#include "Fl_Gnuplot.h"

int
main(int argc, char **argv) {

  Fl_Window window(256, 256, 512, 512, "GnuplotDemo");
  Fl_Gnuplot gp(0, 0, 512, 512);

  window.resizable(gp);

  if (argv[1])
    gp.set_filename(argv[1]);
  else
    gp.set_filename("/opt/stephie/tmp/flgnuplot/test.gp");




  window.show();
  Fl::run();

//	double x[256], y[256];
//	int i;
//
//	for(i=0; i<256 ; i++) {
//		x[i] = i/256.0;
//		y[i] = x[i]*x[i] - x[i] + 0.5;
//	}
//
//	gp.set_2d_data(x, y, 256, "A nice curve");
//  window.show();
//	Fl::run();
//
//	for(i=0; i<256 ; i++) {
//		x[i] = i/16.0;
//		y[i] = x[i]*sin(x[i]);
//	}
//
//	gp.set_2d_polar_data(x, y, 256, "A nicer curve");
//  window.show();
//	Fl::run();

}
